# Webhook Endpoints

**Webhook** provides a mechanism for Uiza to notifies you about the `events` that happen in your Uiza account. When something interesting happens (a `live_entity` is created, a `ingest.key` is reset, a `video_entity` is deleted, etc.) Uiza creates an `event` object which contains the details of what just occurred. This `event` will then be sent to the webhook endpoint, a pre-configured URL where Uiza makes HTTP POST requests to.

A single `event` could be be sent to multiple webhook endpoints. You could generate endpoint URLs for your tests [here](https://webhook.site/).

### The webhook endpoint object

#### Attributes

> **`id`** *string*
>
> The unique identifier for the object.

> **`url`** *string*
>
> The URL of the `webhook_endpoint`.

> **`status`** *string*
>
> Indicates the current status of the `webhook_endpoint`, which is either `disabled` or `enabled`.

> **`secret`** *string*
>
> Setting a webhook **secret** helps you verify if the requests sent to your webhook endpoint is from Uiza. We highly recommend following [JSON Web Token](https://jwt.io/) format.&#x20;

> **`created_at`** *string*
>
> The timestamp, at which the `webhook_endpoint`is created, follows the [ISO 8601 standard](https://www.w3.org/TR/NOTE-datetime-970915).

> **`updated_at`** *string*
>
> The timestamp, at which the most recent update to the `webhook_endpoint` occurred, follows the [ISO 8601 standard](https://www.w3.org/TR/NOTE-datetime-970915).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/api-reference/webhook_endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
